Package org.kapott.hbci.sepa.jaxb.camt_052_001_02

## Class TransactionPrice2Choice

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.camt_052_001_02.TransactionPrice2Choice

    public class TransactionPrice2Choice
    extends java.lang.Object

Java class for TransactionPrice2Choice complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="TransactionPrice2Choice">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <choice>
               <element name="DealPric" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.02}ActiveOrHistoricCurrencyAndAmount"/>
               <element name="Prtry" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.02}ProprietaryPrice2" maxOccurs="unbounded"/>
             </choice>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected ActiveOrHistoricCurrencyAndAmount` `dealPric`
`protected java.util.List<ProprietaryPrice2>` `prtry`

### Constructor Summary

Constructors
`TransactionPrice2Choice()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ActiveOrHistoricCurrencyAndAmount` `getDealPric()` Gets the value of the dealPric property.
`java.util.List<ProprietaryPrice2>` `getPrtry()` Gets the value of the prtry property.
`void` `setDealPric​(ActiveOrHistoricCurrencyAndAmount value)` Sets the value of the dealPric property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### dealPric

    protected ActiveOrHistoricCurrencyAndAmount dealPric

#### prtry

    protected java.util.List<ProprietaryPrice2> prtry

### Constructor Detail

#### TransactionPrice2Choice

    public TransactionPrice2Choice()

### Method Detail

#### getDealPric

    public ActiveOrHistoricCurrencyAndAmount getDealPric()

Gets the value of the dealPric property.

Returns:
  possible object is `ActiveOrHistoricCurrencyAndAmount`

#### setDealPric

    public void setDealPric​(ActiveOrHistoricCurrencyAndAmount value)

Sets the value of the dealPric property.

Parameters:
  `value` - allowed object is `ActiveOrHistoricCurrencyAndAmount`

#### getPrtry

    public java.util.List<ProprietaryPrice2> getPrtry()

Gets the value of the prtry property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the prtry property.

For example, to add a new item, do as follows:

        getPrtry().add(newItem);

Objects of the following type(s) are allowed in the list `ProprietaryPrice2`